org.bdgenomics.adam.sql

# TranscriptEffect

###
Related Docs: object TranscriptEffect | package sql

#### class TranscriptEffect extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TranscriptEffect
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TranscriptEffect(alternateAllele: Option[String], effects: Seq[String], geneName: Option[String], geneId: Option[String], featureType: Option[String], featureId: Option[String], biotype: Option[String], rank: Option[Int], total: Option[Int], genomicHgvs: Option[String], transcriptHgvs: Option[String], proteinHgvs: Option[String], cdnaPosition: Option[Int], cdnaLength: Option[Int], cdsPosition: Option[Int], cdsLength: Option[Int], proteinPosition: Option[Int], proteinLength: Option[Int], distance: Option[Int], messages: Seq[String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alternateAllele: Option[String]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val biotype: Option[String]

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     TranscriptEffect → Equals

8. #### val cdnaLength: Option[Int]

9. #### val cdnaPosition: Option[Int]

10. #### val cdsLength: Option[Int]

11. #### val cdsPosition: Option[Int]

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### val distance: Option[Int]

14. #### val effects: Seq[String]

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### val featureId: Option[String]

18. #### val featureType: Option[String]

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### val geneId: Option[String]

21. #### val geneName: Option[String]

22. #### val genomicHgvs: Option[String]

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### val messages: Seq[String]

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def productArity: Int

    Definition Classes
      TranscriptEffect → Product

31. #### def productElement(i: Int): Any

    Definition Classes
      TranscriptEffect → Product

32. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

33. #### def productPrefix: String

    Definition Classes
      Product

34. #### val proteinHgvs: Option[String]

35. #### val proteinLength: Option[Int]

36. #### val proteinPosition: Option[Int]

37. #### val rank: Option[Int]

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toAvro: formats.avro.TranscriptEffect

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### val total: Option[Int]

42. #### val transcriptHgvs: Option[String]

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped